import{s as J,o as K,n as Q}from"../chunks/scheduler.9039eef2.js";import{S as V,i as Z,g as l,s as r,r as H,A as tt,h as c,f as i,c as s,j as W,u as I,x as T,k as Y,y as et,a as n,v as S,d as A,t as N,w as D}from"../chunks/index.cdcc3d35.js";import{T as it}from"../chunks/Tip.6f74db41.js";import{H as F}from"../chunks/Heading.96ce3702.js";function nt(v){let a,f='More details for checking supported tasks <a href="https://huggingface.co/docs/optimum-neuron/guides/export_model#selecting-a-task" rel="nofollow">here</a>.';return{c(){a=l("p"),a.innerHTML=f},l(o){a=c(o,"P",{"data-svelte-h":!0}),T(a)!=="svelte-hfkaug"&&(a.innerHTML=f)},m(o,w){n(o,a,w)},p:Q,d(o){o&&i(a)}}}function at(v){let a,f,o,w,u,E,m,z=`You can export a PyTorch model to Neuron with 🤗 Optimum to run inference on AWS <a href="https://aws.amazon.com/ec2/instance-types/inf1/" rel="nofollow">Inferntia 1</a>
and <a href="https://aws.amazon.com/ec2/instance-types/inf2/" rel="nofollow">Inferentia 2</a>.`,L,p,M,h,O=`There is an export function for each generation of the Inferentia accelerator, <code>export_neuron</code>
for INF1 and <code>export_neuronx</code> on INF2, but you will be able to use directly the export function <code>export</code>, which will select the proper
exporting function according to the environment.`,q,x,X=`Besides, you can check if the exported model is valid via <code>validate_model_outputs</code>, which compares
the compiled model’s output on Neuron devices to the PyTorch model’s output on CPU.`,P,g,R,$,j="<thead><tr><th>Architecture</th> <th>Task</th></tr></thead> <tbody><tr><td>ALBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>BERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>BLOOM</td> <td>text-generation</td></tr> <tr><td>CamemBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>ConvBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>DeBERTa (INF2 only)</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>DeBERTa-v2 (INF2 only)</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>DistilBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>ELECTRA</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>FlauBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>GPT2</td> <td>text-generation</td></tr> <tr><td>Llama, Llama 2</td> <td>text-generation</td></tr> <tr><td>Mistral</td> <td>text-generation</td></tr> <tr><td>MobileBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>MPNet</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>OPT</td> <td>text-generation</td></tr> <tr><td>RoBERTa</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>RoFormer</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>XLM</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>XLM-RoBERTa</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>Stable Diffusion</td> <td>text-to-image, image-to-image, inpaint</td></tr> <tr><td>Stable Diffusion XL Base</td> <td>text-to-image, image-to-image, inpaint</td></tr> <tr><td>Stable Diffusion XL Refiner</td> <td>image-to-image, inpaint</td></tr></tbody>",y,d,B,k,U="More architectures coming soon, stay tuned! 🚀",b,_,C;return u=new F({props:{title:"Inferentia Exporter",local:"inferentia-exporter",headingTag:"h1"}}),p=new F({props:{title:"Export functions",local:"export-functions",headingTag:"h2"}}),g=new F({props:{title:"Supported architectures",local:"supported-architectures",headingTag:"h2"}}),d=new it({props:{$$slots:{default:[nt]},$$scope:{ctx:v}}}),{c(){a=l("meta"),f=r(),o=l("p"),w=r(),H(u.$$.fragment),E=r(),m=l("p"),m.innerHTML=z,L=r(),H(p.$$.fragment),M=r(),h=l("p"),h.innerHTML=O,q=r(),x=l("p"),x.innerHTML=X,P=r(),H(g.$$.fragment),R=r(),$=l("table"),$.innerHTML=j,y=r(),H(d.$$.fragment),B=r(),k=l("p"),k.textContent=U,b=r(),_=l("p"),this.h()},l(t){const e=tt("svelte-u9bgzb",document.head);a=c(e,"META",{name:!0,content:!0}),e.forEach(i),f=s(t),o=c(t,"P",{}),W(o).forEach(i),w=s(t),I(u.$$.fragment,t),E=s(t),m=c(t,"P",{"data-svelte-h":!0}),T(m)!=="svelte-5i12yp"&&(m.innerHTML=z),L=s(t),I(p.$$.fragment,t),M=s(t),h=c(t,"P",{"data-svelte-h":!0}),T(h)!=="svelte-1djz5bf"&&(h.innerHTML=O),q=s(t),x=c(t,"P",{"data-svelte-h":!0}),T(x)!=="svelte-zk3hwe"&&(x.innerHTML=X),P=s(t),I(g.$$.fragment,t),R=s(t),$=c(t,"TABLE",{"data-svelte-h":!0}),T($)!=="svelte-qsccg0"&&($.innerHTML=j),y=s(t),I(d.$$.fragment,t),B=s(t),k=c(t,"P",{"data-svelte-h":!0}),T(k)!=="svelte-dm8pu8"&&(k.textContent=U),b=s(t),_=c(t,"P",{}),W(_).forEach(i),this.h()},h(){Y(a,"name","hf:doc:metadata"),Y(a,"content",ot)},m(t,e){et(document.head,a),n(t,f,e),n(t,o,e),n(t,w,e),S(u,t,e),n(t,E,e),n(t,m,e),n(t,L,e),S(p,t,e),n(t,M,e),n(t,h,e),n(t,q,e),n(t,x,e),n(t,P,e),S(g,t,e),n(t,R,e),n(t,$,e),n(t,y,e),S(d,t,e),n(t,B,e),n(t,k,e),n(t,b,e),n(t,_,e),C=!0},p(t,[e]){const G={};e&2&&(G.$$scope={dirty:e,ctx:t}),d.$set(G)},i(t){C||(A(u.$$.fragment,t),A(p.$$.fragment,t),A(g.$$.fragment,t),A(d.$$.fragment,t),C=!0)},o(t){N(u.$$.fragment,t),N(p.$$.fragment,t),N(g.$$.fragment,t),N(d.$$.fragment,t),C=!1},d(t){t&&(i(f),i(o),i(w),i(E),i(m),i(L),i(M),i(h),i(q),i(x),i(P),i(R),i($),i(y),i(B),i(k),i(b),i(_)),i(a),D(u,t),D(p,t),D(g,t),D(d,t)}}}const ot='{"title":"Inferentia Exporter","local":"inferentia-exporter","sections":[{"title":"Export functions","local":"export-functions","sections":[],"depth":2},{"title":"Supported architectures","local":"supported-architectures","sections":[],"depth":2}],"depth":1}';function rt(v){return K(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ft extends V{constructor(a){super(),Z(this,a,rt,at,J,{})}}export{ft as component};
